Modify

#675 closed defect (worksforme)

No new query is opened, when using /msg $NAME

Reported by: avatar@… Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.2.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro: gentoo

Description

Hi,

I'm using bitlee inside screen, and irssi on a gentoo-PC (amd64). And there is no new query opened for a new chat, if I'm using /msg or /query.

It is compiled with USE="ipv6 jabber oscar ssl yahoo -debug -gnutls -msn -nss -test -xinetd"

On a Ubuntu-PC (32bit) it wokrs fine.

Attachments (1)

bitlbee_mod.log (6.2 KB) - added by avatar@… at 2010-08-31T13:50:49Z.
bitlbee_raw_log

Download all attachments as: .zip

Change History (9)

comment:1 Changed at 2010-08-30T15:25:26Z by Wilmer van der Gaast <wilmer@…>

Hrmm, amd64-i386 shouldn't matter here. What's happening exactly, can you show it in a raw IRC log?

comment:2 Changed at 2010-08-31T06:13:30Z by avatar@…

If I receive a message it looks like this:

01:01 <-abc[~abc@...] ok, werde sie dir noch zukommen lassen!

And when I send a message with /msg abc it looks like

19:55 ->[abc] msg nein, leider nicht, es öffnet sich hier immer noch kein neues query :(

Do you need something more?

comment:3 Changed at 2010-08-31T11:58:05Z by wilmer

Which IM protocol is this? Or do you have this with *all* contacts?

Also, this is not an IRC rawlog. With irssi you can generate those using /rawlog.

Changed at 2010-08-31T13:50:49Z by avatar@…

Attachment: bitlbee_mod.log added

bitlbee_raw_log

comment:4 Changed at 2010-08-31T13:51:47Z by avatar@…

I've attached the log-file.

I have the problems with all contacts (jabber, icq)

comment:5 Changed at 2010-09-01T07:55:39Z by wilmer

This all looks normal (assuming your nickname is indeed german_). Somehow your IRC client is adding a space at the beginning of every message, don't know why it'd do that, but maybe you have some irssi (or different IRC client?) script loaded that causes this behaviour.

To BitlBee, query windows don't exist. Those are just a thing represented to you by the IRC client. For BitlBee, /query and /msg are 100% the same thing.

comment:6 Changed at 2010-09-01T08:41:44Z by avatar@…

Thank you. So, if I understand this correctly, something is wrong with my irssi. I'll check that.

comment:7 Changed at 2010-09-01T08:43:05Z by wilmer

Resolution: worksforme
Status: newclosed

That's definitely more likely. Could be some script, some setting, I don't know. Good luck!

comment:8 in reply to:  7 Changed at 2010-09-01T11:03:36Z by anonymous

I've found the solution.

In my irssi-config, there was the setting autocreate_query_level = 'none'. I've changed this to 'yes' and now it works fine.

Thanks again for your help!

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.